var ViewGenotypes = function()
{
	var vgt = {};
	var debug = 0;
	
	vgt.initPage = function()
	{
		Buttons.addClickHandler('close', App.closeWindow);
		
		var url = '../Hisat.servlet?ID='+App.getSessionId();
		url += '&cmd=GetVcfStatistics';
		url += '&fileId='+Data.get('page-data', 'file-id', '');
		
		Wizard.showLoadingAnimation('Loading VCF file...');
		Wizard.asyncJsonRequest(url, vgt.onFilesLoaded);
	}
	
	vgt.onFilesLoaded = function(response)
	{
		var vcfData = response.vcfData;
		var snpData = response.snpData;
		
		var gtCount = '';
		gtCount += vcfData.gtCount;
		gtCount += ' (' + (vcfData.homRefCount+vcfData.homAltCount) + ' HOM';
		gtCount += ', '+vcfData.hetCount + ' HET';
		if (vcfData.badCount) gtCount += ', ' + vcfData.badCount + ' BAD';
		gtCount += ')';
		Doc.element('gtCount').innerHTML = gtCount;
		
		var html = '<table id="snp-list" class="bottomborder">';
		html += '<tr class="bg-filled-100 bottomborder">';
		html += '<th>Location</th>';
		html += '<th>Id</th>';
		html += '<th>Ref</th>';
		html += '<th>Alt</th>';
		html += '<th></th>';
		html += '<th title="Genotype">GT</th>';
		html += '<th title="Genotype Quality">GQ</th>';
		html += '<th title="Approximate read depth (reads with MQ=255 or with bad mates are filtered)">DP</th>';
		html += '<th title="Allelic depths for the ref and alt alleles in the order listed">AD</th>';
		html += '</tr>';
		var numWithLowGQ = 0;
		var numWithGQ99 = 0;
		for (var snpNo = 0; snpNo < snpData.length; snpNo++)
		{
			var e = snpData[snpNo];
			var snp = e.snp;
			var gt = e.gt;
			
			html += '<tr class="snp highlight">';
			html += '<td>'+Strings.encodeTags(snp.chromosome+':'+snp.position)+'</td>';
			html += '<td>'+Strings.encodeTags(snp.id)+'</td>';
			html += '<td>'+Strings.encodeTags(snp.ref)+'</td>';
			html += '<td>'+Strings.encodeTags(snp.alt)+'</td>';
			if (gt)
			{
				var lowGQ = gt.GQ < 50;
				if (lowGQ) numWithLowGQ++;
				if (gt.GQ == 99) numWithGQ99++;
				html += '<td>'+Strings.encodeTags(gt.genoType)+'</td>';
				html += '<td>'+Strings.encodeTags(gt.GT)+'</td>';
				html += '<td class="'+(lowGQ?'lowgq':'')+'">'+gt.GQ+'</td>';
				html += '<td>'+gt.DP+'</td>';
				html += '<td>'+Strings.encodeTags(gt.AD)+'</td>';
			}
			else
			{
				html += '<td colspan="5">-</td>';
			}
			html += '</tr>';
		}
		html += '</table>';
		Doc.element('snp-table').innerHTML = html;

		var avgGq = (vcfData.sumHomGQ+vcfData.sumHetGQ) / vcfData.gtCount;
		html = Numbers.formatNumber(avgGq, 0);
		if (numWithLowGQ > 0) html += ' (' + numWithGQ99 + ' with GQ=99, '+numWithLowGQ + ' with GQ&lt;50)';
		Doc.element('avgGQ').innerHTML = html;

		Doc.show('vcf-summary', 'table');
		Doc.show('snp-table');
	}
	
	return vgt;
}();

Doc.onLoad(ViewGenotypes.initPage);
