<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
	%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~samplereportgenerator.js" 
	styles="path.css,~../css/reggie-2.css,~../css/report.css"
/>
	<base:body>
		<p:path><p:pathelement 
			title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
			/><p:pathelement title="Sample source report" 
			/></p:path>

		<div class="content">
		<form name="reggie" id="wizard" class="wizard">

			<div class="step" id="step-1">
				<div class="step-no">1</div>
				<div class="step-title">Report type</div>
				<div class="step-content">

					<table class="step-form">
					<tr>
						<td class="prompt">Report</td>
						<td class="input">
							<select name="reporttype">
								<option value="samplecount" selected="yes">Sample count report</option>
								<option value="consentcount">Consent count report</option>
								<option value="patientcount">Patient count report</option>
								<option value="overviewreport">Overview report</option>
								<option value="missingsampledatareport">Missing sample data report</option>
							</select>
						</td>
						<td class="status" id="reporttype.status"></td>
						<td class="help">
							<span id="reporttype.message" class="message"></span>
							Select which report to generate.
						</td>
					</tr>
					</table>
				</div>
			</div>

			<div class="step" id="step-2">
				<div class="step-no">2</div>
				<div class="step-title">Report parameters</div>
				<div class="step-content">
			
					<table class="step-form">
					<tr id="report-period">
						<td class="prompt">Report period</td>
						<td class="input">
							From <input type="text" name="fromdate" id="fromdate" 
								style="width: 8em;" maxlength="8">&nbsp;
							To <input type="text" name="todate" id="todate" 
								style="width: 8em;" maxlength="8">
						</td>
						<td class="status" id="period.status"></td>
						<td class="help">
							<span id="period.message" class="message"></span>
							[YY]YYMMDD. Define which period the report should cover. Empty fields will include all data.
						</td>
					</tr>
					<tr id="view-type">
						<td class="prompt">View type</td>
						<td class="input">
							<select name="viewtype" id="viewtype">
								<option value="AUTO" selected="yes">Auto</option>
								<option value="WEEK">Week</option>
								<option value="MONTH">Month</option>
								<option value="QUARTER">Quarter</option>
								<option value="YEAR">Year</option>
							</select>
						</td>
						<td class="status" id="viewtype.status"></td>
						<td class="help">
							<span id="viewtype.message" class="message"></span>
							Auto will adjust the report depending on the size of the period.
							<ul>
								<li>Period shorter than 3 months - items per week</li>
								<li>Period shorter than 13 months - items per month</li>
								<li>Period shorter than 3 years - items per quarter</li>
								<li>Period is 3 years or greater - items per year</li>
							</ul> 								
						</td>
					</tr>
					<tr id="sample-type">
						<td class="prompt">Sample type</td>
						<td class="input">
							<select name="sampletype" id="sampletype">
								<option value="specimen" selected="yes">Specimen</option>
								<option value="nospecimen">No specimen</option>
								<option value="blood">Blood</option>
							</select>
						</td>
						<td class="status" id="sampletype.status"></td>
						<td class="help">
							<span id="sampletype.message" class="message"></span>
							Select sample type for report.
						</td>
					</tr>
					<tr id="table-alternatives">
						<td class="prompt">Table alternatives</td>
						<td class="input">
							<select name="tablealternatives" id="tablealternatives">
								<option value="full_blood_sample_tables" selected="yes">9 tables with different blood sample choices</option>
								<option value="blood_sample_table_with_filter">1 table with optional blood sample filter</option>
							</select>
						</td>
						<td class="status" id="tablealternatives.status"></td>
						<td class="help">
							<span id="tablealternatives.message" class="message"></span>
							Select table alternative for report (only used if sample type = 'Blood').
						</td>
					</tr>
					<tr id="blood-filter">
						<td class="prompt">Blood sample filter</td>
						<td class="input">
							<select name="bloodsamplefilter" id="bloodsamplefilter">
								<option value="none" selected="yes">None</option>
								<option value="followup">Follow-up</option>
								<option value="notfollowup">Not follow-up</option>
								<option value="">unknown</option>
								<option value="PreNeo">PreNeo</option>
								<option value="PreOp">PreOp</option>
								<option value="FollowUp06">FollowUp06</option>
								<option value="FollowUp12">FollowUp12</option>
								<option value="FollowUp36">FollowUp36</option>
							</select>
						</td>
						<td class="status" id="bloodsamplefilter.status"></td>
						<td class="help">
							<span id="bloodsamplefilter.message" class="message"></span>
							Select blood sample filter for report (only used if sample type = 'Blood').
						</td>
					</tr>
					</table>
				</div>
			</div>
			
			<div class="step" id="step-3">
				<div class="step-no">3</div>
				<div class="step-title">Generated report
					<span id="printButton" class="link"><img src="../images/print.png">Print version&hellip;</span>
				</div>
				<div class="step-content" id="step-3-content">
					<div id="reportdiv"></div>
				</div>
			</div>
			
			
		<div id="wizard-status"></div>
		<div id="wizard-progress"></div>

		<table class="navigation" id="navigation">
		<tr>
			<td><base:button id="gocancel" title="Cancel" /></td>
			<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
			<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
			<td><base:button id="gocreate" title="Generate" image="<%=home+"/images/gonext.png"%>" /></td>					
			<td id="gonext-message" class="message"></td>
		</tr>
		</table>			

		</form>
		</div>
	</base:body>
	</base:page>
	<%
}
finally
{
	if (dc != null) dc.close();
}
%>